rate_ctr_group_desc Struct Reference
Rate counters

description of a rate counter group More...

`#include <rate_ctr.h>`

## Data Fields

const char * | group_name_prefix
| The prefix to the name of all counters in this group. More...
const char * | group_description
| The human-readable description of the group. More...
int | class_id
| The class to which this group belongs. More...
unsigned int | num_ctr
| The number of counters in this group. More...
const struct rate_ctr_desc * | ctr_desc
| Pointer to array of counter names. More...

## Detailed Description

description of a rate counter group

## Field Documentation

## class_id

int rate_ctr_group_desc::class_id

The class to which this group belongs.

Referenced by rate_ctr_group_desc_mangle(), and rate_ctr_handler().

## ctr_desc

const struct rate_ctr_desc* rate_ctr_group_desc::ctr_desc

Pointer to array of counter names.

Referenced by rate_ctr_for_each_counter(), rate_ctr_get_by_name(), and rate_ctr_group_desc_mangle().

## group_description

const char* rate_ctr_group_desc::group_description

The human-readable description of the group.

Referenced by rate_ctr_group_desc_mangle().

## group_name_prefix

const char* rate_ctr_group_desc::group_name_prefix

The prefix to the name of all counters in this group.

Referenced by osmo_stats_reporter_log_send_counter(), osmo_stats_reporter_statsd_send_counter(), rate_ctr_get_group_by_name_idx(), rate_ctr_get_unused_name_idx(), and rate_ctr_group_desc_mangle().

## num_ctr

unsigned int rate_ctr_group_desc::num_ctr

The number of counters in this group.

Referenced by rate_ctr_for_each_counter(), rate_ctr_get_by_name(), rate_ctr_group_desc_mangle(), rate_ctr_group_intv(), and rate_ctr_group_reset().

The documentation for this struct was generated from the following file:

- include/osmocom/core/rate_ctr.h